aboutsummaryrefslogtreecommitdiffstats
path: root/roms/skiboot/hdata/test/dtdiff_wrap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'roms/skiboot/hdata/test/dtdiff_wrap.sh')
-rwxr-xr-xroms/skiboot/hdata/test/dtdiff_wrap.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/roms/skiboot/hdata/test/dtdiff_wrap.sh b/roms/skiboot/hdata/test/dtdiff_wrap.sh
new file mode 100755
index 000000000..f92c944b6
--- /dev/null
+++ b/roms/skiboot/hdata/test/dtdiff_wrap.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+# SPDX-License-Identifier: Apache-2.0 OR GPL-2.0-or-later
+#
+# Takes /dev/stdin as dtb, saves to file, does dtdiff
+# Also runs parameter through a dts->dtb->dts conversion
+# in order to work around dtc bugs.
+#
+# Copyright 2018 IBM Corp.
+
+T=$(mktemp)
+cp /dev/stdin $T.dtb
+dtc -I dts -O dtb $1 > $T.orig.dtb
+dtdiff $T.orig.dtb $T.dtb
+R=$?
+if [ $R == 0 ]; then rm -f $T $T.orig.dtb $T.dtb; fi
+exit $R